/* OldCERN theme.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2000-2006 Mathieu Roy
 * Copyright (C) 2002-2006 Yves Perrin <yves.perrin--cern.ch>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";

/* Very basic (mostly text) items: */

body {
  margin-top: 0;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 0;
  background-color: #FFFFFF;
  font-family: arial,helvetica;
  color: #333333;
}

a { text-decoration: none; color: #006699;}
a:hover { color: #ff0000; }
a:active { color: #000000; }
.boxtitle a { color: #FFFFFF; }

.unavailable, .unavailable:hover
{
  text-decoration: none;
  color: #4d453c;
}

.hometitle {
  background-color: tan;
  text-align: center;
  border:2px;
  border-top: solid blanchedalmond;
  border-left: solid blanchedalmond;
  border-bottom: solid #996633;
  border-right: solid #996633;
  margin-top: 0;
  padding-top: 15px;
  padding-bottom: 15px;
}

h1 {
  color: #FFFFFF;
  background-color: tan;
  text-align: center;
}

h1.toptitle {
  color: #339966;
  background-color: bisque;
  text-align: left;
  vertical-align: middle;
}

h2 {
  border-bottom: thin solid #cab79f;
}

h2 a:hover {
  background-color: #f6f2e6;
}

.error { color: #980000; }
.footer {  color: #333333; }

img.bigicon {
  vertical-align: middle;
}

/* mimic boxhighlight */
.highlight {
  background-color: #fff4b2;
}


.quote {
	color: #828282;
}



/**********************************************************************
 *
 * Alignment, main tables
 *
 **********************************************************************/


.realbody { border: 0; color: #333333; }


.main {
  margin-top: 2px;
  background-color: #fffdf7;
  vertical-align: top;
  border-spacing: 5px;
  border: 1px solid tan;
  padding-top: 3px;
  padding-left: 3px;
  padding-right: 3px;
  width: 83%;
}



/**********************************************************************
 *
 * Menus
 *
 **********************************************************************/

.topmenu {
  border-spacing: 0;
  border-top: thin solid #e0cd9f;
}

.topmenutitle {
	background: #efe3bd;
	border: thin solid #e0cd9f;
	border-top: none;
}

.topmenuitemmainitem {
	background: #efe3bd;
	border: thin solid #e0cd9f;
	border-top: none;
}



ul.topmenuitemsubmenu {
	background: #FFF8D6;
	border: thin solid #EEE2BD;
}


ul.topmenuitemsubmenu li {
	border: thin solid #EEE2BD;
	border-top: none;
	border-left: 0.3em solid #e0cd9f;
}


li.topmenuitemsubmenu:hover {
	background: #FFF7E8;

}

li.topmenuitemsubmenuseparator {
	background-color: #e0cd9f;
}



/* we cannot use bold here, it makes an extra space with some konqueror
  version (RHEL) */
.tabselect { background-color: #e0cd9f; color: #006699; }
.tabselect:hover { color: #ff0000; background-color: #e0cd9f; }

.tabs:hover { color: #ff0000; background-color: #FFF8D6; }
.topmenuitemmainitem:hover { background-color: #FFF8D6; }

.menu {
  background-color: bisque;
  border: 1px solid tan;
  margin-top: 2px;
  margin-left: 2px;
  padding-left: 5px;
  padding-right: 5px;
  padding-bottom: 5px;
  width: 14%;
}


.menutitle {
  padding-top: 0;
  vertical-align: top;
  font-weight: bold;
  text-align: center;
  background-color: tan;
  border: 1px;
  border-top: thin solid blanchedalmond;
  border-left: thin solid blanchedalmond;
  border-bottom: thin solid #996633;
  border-right: thin solid #996633;
  color: #FFFFFF;
  font-size: smaller;
}

.menuitem {
  list-style-type: none;
  vertical-align: middle;
  text-align: left;
  border: 0;
  border-bottom: thin solid #ECD5B6;
  color: #333333;
  font-size: smaller;
}
.menuitem:before {
        content: url("../images/CERN.theme/point.png");
}

.relatedrecipesitem {
	border-top: thin solid #f7dfbf;
}

.menu a {
	display: inline;
}

/**********************************************************************
 *
 * Boxes
 *
 **********************************************************************/


.box {
  border-spacing: 2px;
  border: 1px solid #339966;
  margin-left: 0%;
  margin-right: 0%;
  width: 100%;
  font-size: smaller;
}

.boxleft {
  border-spacing: 2px;
  border:1px solid #339966;
}

.boxtitle {
  background-color: #339966;
  border: 1px;
  border-top: thin solid limegreen;
  border-left: thin solid limegreen;
  border-bottom: thin solid #006600;
  border-right: thin solid #006600;
  color: #FFFFFF;
}

.boxtitle a:hover {
	background-color: #3aab72;
}

.boxitemalt {
  background-color: cornsilk;
  text-align: left;
  color: #333333;
  border-bottom: thin solid #eae2b9;
  padding: 1%;
}

.boxitem {
  background-color: #fffced;
  text-align: left;
  color: #333333;
  padding: 1%;
  border-bottom: thin solid #eae2b9;
}

.boxoptions {
  background-color: #fffced;
  color: #333333;
  padding: 1%;
  border: thin solid #eae2b9;
}

.boxhighlight {
  background-color: #fff4b2;
  text-align: left;
  color: #333333;
  padding: 1%;
  border-bottom: thin solid #d3c99c;
}

/* Forms */
button,input
{
  background-color: #ffffff;
  color: #000000;
}
select {
  background-color: #ffffff;
  color: #000000;
}
option {
  background-color: #ffffff;
  color: #000000;
}

textarea {
  background-color: #ffffff;
  color: #000000;
}

/* Priorities */
/* base.css CSS provides almost the same but small priority are lighter,
   so the contrast is more important

.priora { background-color: #f9f7f2; }
.priorb { background-color: #f4f0e8; }
.priorc { background-color: #efeade; }
.priord { background-color: #eae3d5; }
.priore { background-color: #e2dbcc; }
.priorf { background-color: #ddd7c7; }
.priorg { background-color: #d8d1be; }
.priorh { background-color: #d6ceb8; }
.priori { background-color: #d3caaf; }
*/
